Subject: bug#12050: 23.3; font trashes mode-line file name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Jul 2012 16:51:53 +0300

> Date: Mon, 30 Jul 2012 04:20:11 -0400
> From: [email-masked]
> Cc: [email-masked]
> 
> with src/xdisp.c 22736 fix (24.1 line numbers differ by ~300 but context
> is correct):
> 
> run -q -fn -adobe-times-bold-r-normal--0-0-0-0-p-0-iso8859-15
> does not crash emacs but mode-line is completely undecipherable. each char
> appears to have an octal representation of a char inside a rectangular box
> 
> run -q -fn -adobe-times-medium-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0
> 
> run -q -fn -adobe-helvetica-bold-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0
> 
> run -q -fn -adobe-helvetica-medium-r-normal--0-0-0-0-p-0-iso8859-15
> crash at
> xfaces.c:4841
> 4841            if (! EQ (face->font->props[i], def_face->font->props[i]))
> (gdb) print def_face->font
> $2 = (struct font *) 0x0

Thanks.

Would some font selection expert please chime in?  There's some weird
stuff going on with selecting a font for the mode line, and in
particular the buffer name there.